/*
package com.sf.vertx.init;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.ApplicationArguments;
import org.springframework.boot.ApplicationRunner;
import org.springframework.core.annotation.Order;
import org.springframework.data.redis.core.RedisTemplate;
import org.springframework.stereotype.Component;

import com.sf.vertx.constans.RedisKeyConfig;
import com.sf.vertx.handle.AppConfigHandler;

import lombok.extern.slf4j.Slf4j;

*/
/***
 * 动态构建vertx服务
 * 
 * @author xy
 *
 *//*

@Slf4j
@Order(value = 10)
@Component
public class DynamicBuildServer implements ApplicationRunner {
	// TODO 后面可以和app挂钩
	@Autowired
	private SacVertxConfig sacVertxConfig;
	
	@Autowired
	private RedisTemplate<String, String> redisTemplate;

	@Autowired
	private RedisKeyConfig redisKeyConfig;

	@Override
	public void run(ApplicationArguments args) throws Exception {
		// 初始化redis key
		redisKeyConfig.init();
		AppConfigHandler.init(redisTemplate, sacVertxConfig);
		// 从redis同步vertx配置
		AppConfigHandler.initVertxConfig();

		// 加载vertx、应用配置
		startVertxService();
	}
	
	*/
/***
	 * 应用启动, 从redis读取配置,初始化vertx服务
	 * 
	 * @throws Exception
	 *//*

	private void startVertxService() throws Exception {
		if(sacVertxConfig.getDeploymentMode() == 2) {
			// 集群
			AppConfigHandler.createHazelcastClusterVertx();
		} else {
			// 单机
			AppConfigHandler.createVertx();
		}
	}

}
*/
